package ink.wgink.pojo.pos;

import java.io.Serializable;

/**
 * @ClassName: FilePO
 * @Description: 文件
 * @Author: wenc
 * @Date: 2019/1/4 11:57 AM
 * @Version: 1.0
 **/
public class FilePO implements Serializable {

    private static final long serialVersionUID = -118382389804178231L;
    private String fileId;
    private String fileName;
    private String filePath;
    private String fileUrl;
    private String fileType;
    private Long fileSize;
    private String fileSummary;
    private Integer isBack;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getFileId() {
        return fileId == null ? "" : fileId.trim();
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileName() {
        return fileName == null ? "" : fileName.trim();
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFilePath() {
        return filePath == null ? "" : filePath.trim();
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileUrl() {
        return fileUrl == null ? "" : fileUrl.trim();
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileType() {
        return fileType == null ? "" : fileType.trim();
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Long getFileSize() {
        return fileSize == null ? 0 : fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getFileSummary() {
        return fileSummary == null ? "" : fileSummary.trim();
    }

    public void setFileSummary(String fileSummary) {
        this.fileSummary = fileSummary;
    }

    public Integer getIsBack() {
        return isBack == null ? 0 : isBack;
    }

    public void setIsBack(Integer isBack) {
        this.isBack = isBack;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"fileId\":")
                .append("\"").append(fileId).append("\"");
        sb.append(",\"fileName\":")
                .append("\"").append(fileName).append("\"");
        sb.append(",\"filePath\":")
                .append("\"").append(filePath).append("\"");
        sb.append(",\"fileUrl\":")
                .append("\"").append(fileUrl).append("\"");
        sb.append(",\"fileType\":")
                .append("\"").append(fileType).append("\"");
        sb.append(",\"fileSize\":")
                .append("\"").append(fileSize).append("\"");
        sb.append(",\"fileSummary\":")
                .append("\"").append(fileSummary).append("\"");
        sb.append(",\"isBack\":")
                .append(isBack);
        sb.append(",\"creator\":")
                .append("\"").append(creator).append("\"");
        sb.append(",\"gmtCreate\":")
                .append("\"").append(gmtCreate).append("\"");
        sb.append(",\"modifier\":")
                .append("\"").append(modifier).append("\"");
        sb.append(",\"gmtModified\":")
                .append("\"").append(gmtModified).append("\"");
        sb.append(",\"isDelete\":")
                .append(isDelete);
        sb.append('}');
        return sb.toString();
    }
}
